<!-- 
Licensed Materials - Property of IBM
5724-L01, 5655-N53, 5724-I82, 5655-R15
- Copyright IBM Corporation 2007. All Rights Reserved.
US Government Users Restricted Rights- Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>
<%@page import="com.ibm.ws.console.sca.SCAModuleBindingDetailForm" %>  
<script type="text/javascript">
function browseOrConfigure(valueId){
document.getElementById("clickedType").value=valueId;
document.getElementById("clickedValue").value=document.getElementById(valueId).value;
}
</script>	
<%
String formName="com.ibm.ws.console.sca.SCAModuleBindingDetailForm";
SCAModuleBindingDetailForm detailForm = (SCAModuleBindingDetailForm) session
                    .getAttribute("com.ibm.ws.console.sca.SCAModuleBindingDetailForm");
boolean isImport=detailForm.isImport();
boolean isNativeSca=detailForm.isNativeSca();
%>
<td class="table-text"  scope="row" valign="top" nowrap> 
	  
	    <FIELDSET>
	    <LEGEND><bean:message key="ScaModules.Binding.sendResource.displayName"/></LEGEND>
	    <table class="framing-table" border="0" cellpadding="5" cellspacing="0" width="100%" summary="Properties Table" > 
	      <TBODY>
	      <% 
	            if(isImport){
	      %>
	      <tiles:insert definition="SCAModule.Binding.fieldTile" flush="true">
	            <tiles:put name="title" value="SCAModule.Binding.conFactory.displayName" />
	            <tiles:put name="formProperty" value="connectionFactory" />
	            <tiles:put name="textHelp" value="ScaModules.MQJMS.conFactory.help" />
	      </tiles:insert> 
	      <% 
	            }else{
	      %>
	      <tiles:insert definition="SCAModule.Binding.fieldTile" flush="true">
	            <tiles:put name="title" value="SCAModule.Binding.conFactoryResponse.displayName" />
	            <tiles:put name="formProperty" value="responseConnectionFactory" />
	            <tiles:put name="textHelp" value="ScaModules.MQJMS.responseConFactory.help" />
	      </tiles:insert>
	      <% 
	            	}
	       %>
	      <tiles:insert definition="SCAModule.Binding.fieldTile" flush="true">
	            <tiles:put name="title" value="SCAModule.Binding.sendMQJmsDes.displayName" />
	            <tiles:put name="formProperty" value="sendDestination" />
	            <% 
	            	if(isImport){
	            %>
	            <tiles:put name="textHelp" value="ScaModules.import.sendDes.help" />
	            <% 
	            	}else{
	            %>
	            <tiles:put name="textHelp" value="ScaModules.export.sendDes.help" />
	            <% 
	            	}
	            %>
	      </tiles:insert>
          <tiles:insert definition="SCAModule.Binding.fieldTile" flush="true">
                <tiles:put name="title" value="SCAModule.Binding.feReplayConnectionFactory.displayName" />
                <tiles:put name="formProperty" value="failedEventReplayConnectionFactory" />
                <tiles:put name="textHelp" value="ScaModules.MQJMS.feReplayConnectionFactory.help" />
          </tiles:insert>
	      </TBODY>
	     </table>
	     </FIELDSET> 
	      
	     <FIELDSET>
	    	<LEGEND><bean:message key="ScaModules.Binding.receiveResource.displayName"/></LEGEND>
	    	<table class="framing-table" border="0" cellpadding="5" cellspacing="0" width="100%" summary="Properties Table" >
	    	<TBODY>
	    	
	      	<% 
	            if(!isNativeSca){ //non native sca app, use listening port
	      	%>
		    	<tiles:insert definition="SCAModule.Binding.fieldTile" flush="true">
		            <tiles:put name="title" value="SCAModule.Binding.lisPort.displayName" />
		            <tiles:put name="formProperty" value="listenerPort" />
		            <tiles:put name="textHelp" value="ScaModules.listenerPort.help" />
		      	</tiles:insert>
		      	<% 
		            if(isImport){
		      	%>
		    	<tiles:insert definition="SCAModule.Binding.fieldTile" flush="true">
		            <tiles:put name="title" value="SCAModule.Binding.conFactoryResponse.displayName" />
		            <tiles:put name="disableBrowse" value="true" />
		            <tiles:put name="formProperty" value="responseConnectionFactory" />
		            <tiles:put name="textHelp" value="ScaModules.MQJMS.responseConFactory.help" />
		      	</tiles:insert> 
		      	<% 
		            }else{
		      	%>
					<tiles:insert definition="SCAModule.Binding.fieldTile" flush="true">
		            <tiles:put name="title" value="SCAModule.Binding.conFactory.displayName" />
		            <tiles:put name="disableBrowse" value="true" />
		            <tiles:put name="formProperty" value="connectionFactory" />
		            <tiles:put name="textHelp" value="ScaModules.MQJMS.conFactory.help" />
		      		</tiles:insert> 
		      	<% 
		            	}
		       	%>
	      	<% 
	            }else{ //native Sca, use activation spec
	      	%>
	    	<tiles:insert definition="SCAModule.Binding.fieldTile" flush="true">
	            <tiles:put name="title" value="SCAModule.Binding.activeSpec.displayName" />
	            <tiles:put name="formProperty" value="activationSpecification" />
	            <% 
	            	if(isImport){
	            %>
	            <tiles:put name="textHelp" value="ScaModules.SIBJMS.import.activeSpec.help" />
	            <% 
	            	}else{
	            %>
	            <tiles:put name="textHelp" value="ScaModules.SIBJMS.export.activeSpec.help" />
	            <% 
	            	}
	            %>
	      	</tiles:insert> 
	      	<% 
	            	}
	       	%>
	       	
	      	<tiles:insert definition="SCAModule.Binding.fieldTile" flush="true">
	            <tiles:put name="title" value="SCAModule.Binding.receiveMQJmsDes.displayName" />
	            <tiles:put name="disableBrowse" value="true" />
	            <tiles:put name="formProperty" value="receiveDestination" />
	            <% 
	            	if(isImport){
	            %>
	            <tiles:put name="textHelp" value="ScaModules.import.receiveDes.help" />
	            <% 
	            	}else{
	            %>
	            <tiles:put name="textHelp" value="ScaModules.export.receiveDes.help" />
	            <% 
	            	}
	            %>
	      	</tiles:insert>
	      	</TBODY>
	      	</table>
	      </FIELDSET> 
	       
	      <FIELDSET>
	    	<LEGEND><bean:message key="ScaModules.Binding.advancedResource.displayName"/></LEGEND>
	    	<table class="framing-table" border="0" cellpadding="5" cellspacing="0" width="100%" summary="Properties Table" >
	      	<TBODY>
	      	<tiles:insert definition="SCAModule.Binding.fieldTile" flush="true">
	            <tiles:put name="title" value="SCAModule.Binding.callbackJmsDes.displayName" />
	           	<tiles:put name="disableBrowse" value="true" />
	            <tiles:put name="formProperty" value="callbackDestination" />
	            <tiles:put name="textHelp" value="ScaModules.callbackDes.help" />
	      	</tiles:insert>
	      	</TBODY>
	      	</table>
	       </FIELDSET> 

	<html:hidden name="<%=formName%>" property="clickedType" 
			styleId="clickedType" />
	<html:hidden name="<%=formName%>" property="clickedValue" 
			styleId="clickedValue" />
</td>
