<!-- 
Licensed Materials - Property of IBM
5724-L01, 5655-N53, 5724-I82, 5655-R15
- Copyright IBM Corporation 2007. All Rights Reserved.
US Government Users Restricted Rights- Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<%@page import="com.ibm.ws.console.sca.httpBinding.SCAModuleHttpBindingForm" %> 
<%@page import="com.ibm.ws.console.sca.SCAModuleConstants" %> 
<script language="JavaScript" src="/ibm/console/scripts/menu_functions.js"></script>
<script type="text/javascript">
document.onclick = onResetButton;
function onResetButton(e){
var thebutton = "";
var buttonObj = "";
if (isDom) 
	{
            thebutton = e.target.name;
            buttonObj = e.target;
    } 
    else
    {
            e = event;
            thebutton = e.srcElement.name;
            buttonObj = e.srcElement;
    }
if(buttonObj.name=="reset"){
	changeContentEncoding();
}    
setTopVarOff(e);
}

function changeContentEncoding(){
 	if(document.getElementById("transferEncodeSelect").value=="chunked")
 	{
 	  	document.getElementById("contentEncodeSelect").disabled=true;
 	  	document.getElementById("contentEncodeSelect").value="identity";
 	 }
 	else {
 		document.getElementById("contentEncodeSelect").disabled=false;  
 	}
}
function methodChanged(){
	var x=document.getElementsByName("com.ibm.ws.console.sca.httpBinding.SCAModuleHttpBindingForm");
	x[0].submit();
}
function enableDisableMethod(){
if(document.getElementById("enableMethodScope")!=null){
	enableDisable('enableMethodScope:endPointUrl:httpMethod:selectedVersion:retries:selectedBasicAuth:selectedSSLConfig:transferEncodeSelect:contentEncodeSelect:timeOutSecond:proxyHost:proxyPort:selectedCredential:nonProxyHosts');
	if(document.getElementById("enableMethodScope").checked==true){
		var x=document.getElementsByName("authNew");
		x[0].disabled=false;
		x=document.getElementsByName("authNew");
		x[0].disabled=false;
		x=document.getElementsByName("credEdit");
		x[0].disabled=false;
		x=document.getElementsByName("authEdit");
		x[0].disabled=false;
		x=document.getElementsByName("credNew");
		x[0].disabled=false;
		x=document.getElementsByName("configEdit");
		x[0].disabled=false;
		x=document.getElementsByName("configNew");
		x[0].disabled=false;
		
	}else{
		var x=document.getElementsByName("authNew");
		x[0].disabled=true;
		x=document.getElementsByName("authNew");
		x[0].disabled=true;
		x=document.getElementsByName("credEdit");
		x[0].disabled=true;
		x=document.getElementsByName("authEdit");
		x[0].disabled=true;
		x=document.getElementsByName("credNew");
		x[0].disabled=true;
		x=document.getElementsByName("configEdit");
		x[0].disabled=true;
		x=document.getElementsByName("configNew");
		x[0].disabled=true;
	}
	}
}
</script>	
<%
String formName="com.ibm.ws.console.sca.httpBinding.SCAModuleHttpBindingForm";
SCAModuleHttpBindingForm detailForm = (SCAModuleHttpBindingForm) session
                    .getAttribute("com.ibm.ws.console.sca.httpBinding.SCAModuleHttpBindingForm");
if(detailForm.getPerspective().equalsIgnoreCase("tab.methodScope")){                 
%>

	  	<table class="framing-table" border="0" cellpadding="5" cellspacing="0" width="100%" summary="Properties Table" > 
	     <TBODY>
	    <tr VALIGN="TOP">
			<td class="table-text" nowrap>
				<label for="selectedMethod" title="<bean:message key="ScaModules.httpImport.selectMethods.help"/>">
				<bean:message key="ScaModules.Binding.selectMethod.displayName" />
				<br>
				<html:select property="selectedMethod" styleId="selectedMethod" onchange="methodChanged()"> 
					<html:options  name="<%=formName%>" property="methodsAvailable" /> 
				</html:select> 
				 </label>
			</td>
		 </tr>
		 <!--
		 <tr VALIGN="TOP">
		 	<td class="table-text" nowrap>
		 		<label for="enableMethodScope" title="<bean:message key="ScaModules.httpImport.enableMethod.help"/>">
	      		<html:checkbox styleId="enableMethodScope" name="<%=formName%>" property="enableMethodScope" onclick="enableDisableMethod()"/>
	      	  	<bean:message key="ScaModules.Binding.enableMethod.displayName" />
	      	  	 </label>
			</td>	
		</tr>
		-->
		</TBODY>
		</table>
		<%
		}	
			%>	
	    <FIELDSET>
	    <LEGEND><bean:message key="ScaModules.Binding.endpoint.displayName"/></LEGEND>
	    <table class="framing-table" border="0" cellpadding="5" cellspacing="0" width="100%" summary="Properties Table" > 
	     <TBODY>
	     
	     <tr VALIGN="TOP">
			<td class="table-text" nowrap>
			<label for="endPointUrl" title="<bean:message key="ScaModules.httpImport.endPoint.help"/>">
				<bean:message key="ScaModules.Binding.endpointUrl.displayName" />
				<br>
				<html:text property="endPointUrl"
										name="<%=formName%>"
										size="60"
										styleClass="textEntry"
										styleId="endPointUrl"/>
			 </label>
			</td>
		 </tr>

		 
		 <tr VALIGN="TOP">
			<td class="table-text" nowrap>
			<label for="httpMethod" title="<bean:message key="ScaModules.httpImport.httpMethod.help"/>">
				<bean:message key="ScaModules.Binding.httpMethod.displayName" />
				<br>
				<html:text property="httpMethod"
										name="<%=formName%>"
										size="60"
										styleClass="textEntry"
										styleId="httpMethod"/>
			</label>
			</td>
		 </tr>
		 
		 
		 <tr VALIGN="TOP">
			<td class="table-text" nowrap>
			<label for="selectedVersion" title="<bean:message key="ScaModules.httpImport.httpVersion.help"/>">
				<bean:message key="ScaModules.Binding.httpVersion.displayName" />
				<br>
				<html:select property="selectedVersion" styleId="selectedVersion"> 
					<html:options name="<%=formName%>" property="versionList" /> 
				</html:select> 
			</label>	
			</td>
		 </tr>
		 
		 
		 <tr VALIGN="TOP">
			<td class="table-text" nowrap>
			<label for="retries" title="<bean:message key="ScaModules.httpImport.retries.help"/>">
				<bean:message key="ScaModules.Binding.retries.displayName" />
				<br>
		 		<html:text property="retries"
										name="<%=formName%>"
										size="20"
										styleClass="textEntry"
										styleId="retries"/>
			</label>									
			</td>
			</tr>
			
	      </TBODY>
	     </table>
	     </FIELDSET> 
	      
	     <FIELDSET>
	    	<LEGEND><bean:message key="ScaModules.Binding.authentication.displayName"/></LEGEND>
	    	<table class="framing-table" border="0" cellpadding="5" cellspacing="0" width="100%" summary="Properties Table" >
	    	<TBODY>
	    	
	    	<tr VALIGN="TOP">
			<td class="table-text" nowrap>
			<label for="selectedBasicAuth" title="<bean:message key="ScaModules.httpImport.basicAuth.help"/>">
				<bean:message key="ScaModules.Binding.basicAuth.displayName" />
				<br>	 		
				<html:select property="selectedBasicAuth" styleId="selectedBasicAuth"> 
					<html:options name="<%=formName%>" property="httpAuthList" /> 
				</html:select> 			
			<%
				if(detailForm.getHttpAuthList().size()==0){
			%>			
					<input type="submit" name="authEdit" disabled="true" value="<bean:message key="ScaModules.Binding.editButton" />" id="navigation" class="buttons" style="font-size:90%;" />
			
			<% }else{ %>			
					<input type="submit" name="authEdit" value="<bean:message key="ScaModules.Binding.editButton" />" id="navigation" class="buttons" style="font-size:90%;" />
			
			<% } %>
			
					<input type="submit" name="authNew" value="<bean:message key="ScaModules.Binding.newButton" />" id="navigation" class="buttons" style="font-size:90%;" />
			</label>	
			</td>
			
		 </tr>
	    	
	    	<tr VALIGN="TOP">
			<td class="table-text" nowrap>
			<label for="selectedSSLConfig" title="<bean:message key="ScaModules.httpImport.sslConfiguration.help"/>">
				<bean:message key="ScaModules.Binding.sslConfig.displayName" />
			<br>		 	
			<html:select property="selectedSSLConfig" styleId="selectedSSLConfig"> 
					<html:options name="<%=formName%>" property="sslConfigList" /> 
			</html:select> 		
			<%
				if(detailForm.getSslConfigList().size()==0){
			%>
			
					<input type="submit" name="configEdit" disabled="true" value="<bean:message key="ScaModules.Binding.editButton" />" id="navigation" class="buttons" style="font-size:90%;" />
			
			<% }else{ %>
			
					<input type="submit" name="configEdit" value="<bean:message key="ScaModules.Binding.editButton" />" id="navigation" class="buttons" style="font-size:90%;" />
			
			<% } %>			
					<input type="submit" name="configNew" value="<bean:message key="ScaModules.Binding.newButton" />" id="navigation" class="buttons" style="font-size:90%;" />
			
			</label>
			</td>
		 	</tr>
	      	</TBODY>
	      	</table>
	      </FIELDSET> 
	       
	      <FIELDSET>
	    	<LEGEND><bean:message key="ScaModules.Binding.encoding.displayName"/></LEGEND>
	    	<table class="framing-table" border="0" cellpadding="5" cellspacing="0" width="100%" summary="Properties Table" >
	      	<TBODY>
	      	
	      	<tr VALIGN="TOP">
			<td class="table-text" nowrap>
				<label for="transferEncodeSelect" title="<bean:message key="ScaModules.httpImport.transEncoding.help"/>">
				<bean:message key="ScaModules.Binding.transferEncoding.displayName" />
				<br>
				<html:select property="selectedTransferEncode" styleId="transferEncodeSelect" onchange="changeContentEncoding()"> 
					<html:options name="<%=formName%>" property="transferEncodeList" /> 
				</html:select> 
				</label>
			</td>
		 </tr>
		 
		 
		 
		 <tr VALIGN="TOP">
			<td class="table-text" nowrap>
			<label for="contentEncodeSelect" title="<bean:message key="ScaModules.httpImport.contentEncoding.help"/>">
				<bean:message key="ScaModules.Binding.contentEncoding.displayName" />
			<br>
		 	<%
		 	if(detailForm.getSelectedTransferEncode().equals(SCAModuleConstants.ENCODING_CHUNKED)){
		 		detailForm.setSelectedContentEncode(SCAModuleConstants.ENCODING_IDENTITY);
		 		session.setAttribute("com.ibm.ws.console.sca.httpBinding.SCAModuleHttpBindingForm",detailForm);
		 	%>
		 	<html:select property="selectedContentEncode" disabled="true" styleId="contentEncodeSelect" value="identity"> 
					<html:options name="<%=formName%>" property="contentEncodeList" /> 
			</html:select> 
			<%	
		 	}else{
		 	%>
				<html:select property="selectedContentEncode" styleId="contentEncodeSelect" > 
					<html:options name="<%=formName%>" property="contentEncodeList" /> 
				</html:select> 
			<%	
		 	} 
		 	%>		
		 	 </label>	
			</td>
		 </tr>
	     
	      	</TBODY>
	      	</table>
	       </FIELDSET> 

	      <FIELDSET>
	    	<LEGEND><bean:message key="ScaModules.Binding.proxySetting.displayName"/></LEGEND>
	    		<tiles:insert definition="SCAModule.httpImportBinding.ProxySetting" flush="true">
	     		</tiles:insert> 	      	
	       </FIELDSET> 
	       
	       <FIELDSET>
	    	<LEGEND><bean:message key="ScaModules.Binding.timeout.displayName"/></LEGEND>
	    	<table class="framing-table" border="0" cellpadding="5" cellspacing="0" width="100%" summary="Properties Table" >
	      	<TBODY>
	      	
	      	<tr VALIGN="TOP">
	      	    <td class="table-text" nowrap>
	      	     <label for="timeOutSecond" title="<bean:message key="ScaModules.httpImport.timeout.help"/>">
					<bean:message key="ScaModules.Binding.enableTimeout.displayName" />
				<br>
				<html:text property="timeOutSecond"
										name="<%=formName%>"
										size="20"
										styleClass="textEntry"
										styleId="timeOutSecond"/>
				</label>				
				</td>
			</tr>
							
	      	</TBODY>
	      	</table>
	       </FIELDSET> 
<script type="text/javascript">
	
</script>
